/*!
 * Copyright (C) 2010-2012 Kazo Vision. (http://www.kazovision.com)
 * All rights reserved.
 * 
 * BroadcastReceiver
 * BroadcastReceiver
 * 
 * @version 0.01
 * @author lyq (kazovision.liang@gmail.com)
 */

package com.kazovision.pvdaemon;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;

public class BootBroadcastReceiver extends BroadcastReceiver {
	@Override
	public void onReceive(Context context, Intent pIntent) {
		if (pIntent.getAction().equals("android.intent.action.BOOT_COMPLETED")){
			Intent intent= new Intent(Intent.ACTION_RUN);
			intent.setClass(context, PvdaemonService.class);
			context.startService(intent);
		}
	}
}
