/*!
 * Copyright (C) 2010-2012 Kazo Vision. (http://www.kazovision.com)
 * All rights reserved.
 * 
 * UnknownCommandProcessor
 * δָ֪ࡣ
 * 
 * @version 0.01
 * @author tony (tonixinot@gmail.com)
 */

package com.kazovision.pvdaemon.communicate.commandprocessor;

import org.w3c.dom.Element;

import android.content.Context;
import android.util.Log;

import com.kazovision.pvdaemon.communicate.CommandCacheDB;
import com.kazovision.pvdaemon.communicate.CommandCacheInfo.CommandExecuteStatus;
import com.kazovision.pvdaemon.download.DownloadController;

public class UnknownCommandProcessor extends BaseCommandProcessor {
	private static final String TAG = "UnknownCommandProcessor";
	
	public UnknownCommandProcessor(Context pContext, CommandCacheDB pCommandCacheDB, DownloadController pDownloadController) {
		super(pContext, pCommandCacheDB, pDownloadController);
	}
	
	public void ProcessCommand(Element pCommandElement,CommandExecuteStatus pExecuteStatus) {
		Log.w(TAG, String.format("Unknown command type. '%s'.", pCommandElement.getAttribute("type")));
		mExecuteStatus = CommandExecuteStatus.ExecuteFailed;
		mReturnContents = FormatErrorMessage("Unknown command type.");
	}
}