/*!
 * Copyright (C) 2010-2013 Kazo Vision. (http://www.kazovision.com)
 * All rights reserved.
 * 
 * Download
 * ܿء
 * 
 * @version 0.01
 * @author lianghong (lh_ann@163.com)
 */

package com.kazovision.pvdaemon.download;

import android.content.Context;

public class Download {
	static private Download mThis = null;
	private DownloadController mDownloadController;
	
	static public boolean Initialize(Context pContext) {
		if (mThis == null) {
			mThis = new Download(pContext);
		}
		return true;
	}
	
	static public boolean Finalize() {
		if (mThis != null) {
			mThis.mDownloadController.Stop();
			mThis = null;
		}
		return true;
	}
	
	static public DownloadController GetDownloadController() {
		if (mThis != null) {
			return mThis.mDownloadController;
		}
		return null;
	}
	
	public Download(Context pContext) {
		mDownloadController = new DownloadController(pContext);
		mDownloadController.Start();
	}
}