package com.kazovision.pvdaemon.download;

public class DownloadInfo {
	public enum FileDownloadStatus { WaitingForDownload, Downloading, DownloadTemporaryFailed, DownloadSucceed, DownloadFailed };
	public enum DownloadNotifyStatus { WaitingForNotify, Notifying, Notified };

	private int ID;
	private String ModuleName;		//صļģ飬Ϊɺ֪ͨӦģ顣
	private String FileUrl;
	private String Md5;
	private String DownloadStartTime;
	private String LocalFileName;
	private String NextDownloadTime;		//´οʼصʱ䣬ļʧܹ򿿸ñʹļһʱٱء
	private FileDownloadStatus DownloadStatus;
	private int DownloadProgress;
	private String DownloadFinishedTime;
	private DownloadNotifyStatus NotifyStatus;
	
	public DownloadInfo(){
		
	}
	
	public void SetID( int pID){
		ID = pID;
	}
	
	public int GetID(){
		return ID;
	}
	
	public void SetModuleName( String pModuleName){
		ModuleName = pModuleName;
	}
	
	public String GetModuleName(){
		return ModuleName;
	}
	
	public void SetFileUrl( String pFileUrl){
		FileUrl = pFileUrl;
	}
	
	public String GetFileUrl(){
		return FileUrl;
	}

	public void SetMd5( String pMd5){
		Md5 = pMd5;
	}
	
	public String GetMd5(){
		return Md5;
	}

	public void SetDownloadStartTime( String pDownloadStartTime){
		DownloadStartTime = pDownloadStartTime;
	}
	
	public String GetDownloadStartTime(){
		return NextDownloadTime;
	}

	
	public void SetLocalFileName( String pLocalFileName){
		LocalFileName = pLocalFileName;
	}
	
	public String GetLocalFileName(){
		return LocalFileName;
	}

	public void SetNextDownloadTime( String pNextDownloadTime){
		NextDownloadTime = pNextDownloadTime;
	}
	
	public String GetNextDownloadTime(){
		return NextDownloadTime;
	}

	public void SetDownloadStatus( FileDownloadStatus pDownloadStatus){
		DownloadStatus = pDownloadStatus;
	}
	
	public FileDownloadStatus GetDownloadStatus(){
		return DownloadStatus;
	}

	public void SetDownloadProgress( int pDownloadProgress){
		DownloadProgress = pDownloadProgress;
	}
	
	public int GetDownloadProgress(){
		return DownloadProgress;
	}

	public void SetDownloadFinishedTime( String pDownloadFinishedTime){
		DownloadFinishedTime = pDownloadFinishedTime;
	}
	
	public String GetDownloadFinishedTime(){
		return DownloadFinishedTime;
	}

	public void SetNotifyStatus( DownloadNotifyStatus pNotifyStatus){
		NotifyStatus = pNotifyStatus;
	}
	
	public DownloadNotifyStatus GetNotifyStatus(){
		return NotifyStatus;
	}
}
