/*!
 * Copyright (C) 2010-2013 Kazo Vision. (http://www.kazovision.com)
 * All rights reserved.
 * 
 * ExternalControl
 * ⲿƹܹࡣ
 * 
 * @version 0.01
 * @author tony (tonixinot@gmail.com)
 */

package com.kazovision.pvdaemon.externalcontrol;

import android.content.Context;

public class ExternalControl {
	static private ExternalControl mThis = null;
	private NetworkHandler mNetworkHandler = null;
	
	static public boolean Initialize(Context pContext) {
		mThis = new ExternalControl(pContext);
		return true;
	}
	
	static public boolean Finalize() {
		if (mThis != null) {
			mThis.mNetworkHandler.Stop();
		}
		return true;
	}
	
	static public ExternalControl GetInstance() {
		return mThis;
	}
	
	public ExternalControl(Context pContext) {
		mNetworkHandler = new NetworkHandler(pContext);
		mNetworkHandler.Start();
	}
}