/*!
 * Copyright (C) 2010-2012 Kazo Vision. (http://www.kazovision.com)
 * All rights reserved.
 * 
 * CommandCacheInfo
 * Command Cache Info
 * 
 * @version 0.01
 * @author lyq (kazovision.liang@gmail.com)
 */

package com.kazovision.pvdaemon.communicate;

import java.util.Date;

public class CommandCacheInfo {
	//ִָ״̬
	public enum CommandExecuteStatus { WaitingForExecute, Executing, WaitingForDownload, WaitingForDownloadEx, ExecuteSuccess, ExecuteFailed };
	//ָ״̬Ƿ֪ͨ˷ı־
	public enum CommandNotifyStatus { NeedNotify, Notifying, Notified };
	
	private Integer CommandID; 
	private Date UpdateTime; 
	private String Contents;
	private String Result;
	private CommandExecuteStatus ExecuteStatus;
	private Integer ExecuteRetryCount; 
	private CommandNotifyStatus NotifyStatus;
	private int DownloadProgress;
	
	public CommandCacheInfo() {
	};
	
	public void setCommandID(Integer pCommandID){
		this.CommandID = pCommandID;
	}
	
	public Integer getCommandID(){
		return CommandID;
	}
	
	public void setUpdateTime(Date pUpdateTime){
		this.UpdateTime = pUpdateTime;
	}
	
	public Date getUpdateTime(){
		return UpdateTime;
	}
	
	public void setContents(String pContents){
		this.Contents = pContents;
	}
	
	public String getContents(){
		return Contents;
	}
	
	public void setResult(String pResult){
		this.Result= pResult;
	}
	
	public String getResult(){
		return Result;
	}
	
	public void setExecuteStatus(CommandExecuteStatus pExecuteStatus){
		this.ExecuteStatus= pExecuteStatus;
	}
	
	public CommandExecuteStatus getExecuteStatus(){
		return ExecuteStatus;
	}
	
	public void setExecuteRetryCount(Integer pExecuteRetryCount){
		this.ExecuteRetryCount = pExecuteRetryCount;
	}
	
	public Integer getExecuteRetryCount(){
		return ExecuteRetryCount;
	}
	
	public void setNotifyStatus(CommandNotifyStatus pNotifyStatus){
		this.NotifyStatus= pNotifyStatus;
	}
	
	public CommandNotifyStatus getNotifyStatus(){
		return NotifyStatus;
	}
	
	public void setDownloadProgress(Integer pDownloadProgress){
		this.DownloadProgress = pDownloadProgress;
	}
	
	public Integer getDownloadProgress(){
		return DownloadProgress;
	}
}
