/*!
 * Copyright (C) 2010-2013 Kazo Vision. (http://www.kazovision.com)
 * All rights reserved.
 * 
 * Communicate
 * ͨѶܿء
 * 
 * @version 0.01
 * @author tony (tonixinot@gmail.com)
 */

package com.kazovision.pvdaemon.communicate;

import android.content.Context;

public class Communicate {
	static private Communicate mThis = null;
	private CommunicateController mCommunicateController;
	
	static public boolean Initialize(Context pContext) {
		mThis = new Communicate(pContext);
		return true;
	}
	
	static public boolean Finalize() {
		if (mThis != null) {
			mThis.mCommunicateController.Stop();
		}
		return true;
	}
	
	static public Communicate GetInstance() {
		return mThis;
	}
	
	public Communicate(Context pContext) {
		mCommunicateController = new CommunicateController(pContext);
		mCommunicateController.Start();
	}
}