/*!
 * Copyright (C) 2010-2012 Kazo Vision. (http://www.kazovision.com)
 * All rights reserved.
 * 
 * ConfigureFileImporter
 * ðļࡣ
 * 
 * @version 0.01
 * @author tony (tonixinot@gmail.com)
 */

package com.kazovision.pvdaemon.fileimport;

import java.io.File;

import javax.xml.parsers.DocumentBuilder;
import javax.xml.parsers.DocumentBuilderFactory;

import org.w3c.dom.Document;

import android.content.Context;
import android.util.Log;

import com.kazovision.pvdaemon.common.TempPath;
import com.kazovision.pvdaemon.common.UserPath;
import com.kazovision.pvdaemon.playercontrol.PlayerController;

public class ConfigureFileImporter {
	private static final String TAG = "ConfigureFileImporter";
	private static final String ConfigurePassword = "mKu3iazeceeToo25";
	private Context mContext;
	
	public ConfigureFileImporter(Context pContext) {
		mContext = pContext;
	}
	
	public void LoadFromConfigureFile(String pConfigureFileName) throws Exception {
		Log.i(TAG, String.format("Loading configure file '%s'.", pConfigureFileName));
		TempPath temppath = new TempPath();
		temppath.ExtractToTempPath(pConfigureFileName, ConfigurePassword);
		//ļ
		File file = new File(temppath.GetTempPath() + "configure.xml");
		DocumentBuilderFactory documentBuilderFactory = DocumentBuilderFactory.newInstance();
		DocumentBuilder documentBuilder = documentBuilderFactory.newDocumentBuilder();
		Document document = documentBuilder.parse(file);
		String configuretype = document.getDocumentElement().getAttribute("configuretype");
		
		//ԭ·
		UserPath userpath = new UserPath();
		String configurepath = userpath.GetUserSubPath(configuretype);
		UserPath.ClearPath(configurepath, false);
		UserPath.CopyPath(temppath.GetTempPath(), configurepath);
		
		//֪ͨ pvplayer ˢá
		PlayerController playercontroller = new PlayerController(mContext);
		playercontroller.UpdateConfigure(configuretype);
	}
}