/*!
 * Copyright (C) 2010-2012 Kazo Vision. (http://www.kazovision.com)
 * All rights reserved.
 * 
 * PlayerController
 * Ŷ˿ͨѶࡣ
 * 
 * @version 0.01
 * @author tony (tonixinot@gmail.com)
 */

package com.kazovision.pvdaemon.playercontrol;

import android.content.Context;
import android.content.Intent;

public class PlayerController {
	private Context mContext = null;
	
	public PlayerController(Context pContext) {
		mContext = pContext;
	}
	
	/*!
	 * ʼš
	 */
	public void Start() {
		Intent intent = new Intent("com.kazovision.pvplayer.START");
		mContext.sendBroadcast(intent);
	}
	
	/*!
	 * ֹͣš
	 */
	public void Stop() {
		Intent intent = new Intent("com.kazovision.pvplayer.STOP");
		mContext.sendBroadcast(intent);
	}
	
	/*!
	 * ¼ն˻ߴ硣
	 */
	public void ReloadScreenSize() {
		Intent intent = new Intent("com.kazovision.pvplayer.RELOAD_SCREEN_SIZE");
		mContext.sendBroadcast(intent);
	}
	
	/*!
	 * ¼ģʽ
	 */
	public void ReloadRunningMode() {
		Intent intent = new Intent("com.kazovision.pvplayer.RELOAD_RUNNING_MODE");
		mContext.sendBroadcast(intent);
	}
	
	/*!
	 * ¼ؽĿݡ
	 */
	public void ReloadContent(String pContentType) {
		Intent intent = new Intent("com.kazovision.pvplayer.RELOAD_CONTENT");
		intent.putExtra("contenttype", pContentType);
		mContext.sendBroadcast(intent);
	}
	
	/*!
	 * ¼֪ͨݡ
	 */
	public void ReloadNotify() {
		Intent intent = new Intent("com.kazovision.pvplayer.RELOAD_NOTIFY");
		mContext.sendBroadcast(intent);
	}
	
	/*!
	 * á
	 */
	public void UpdateConfigure(String pConfigureType){
		Intent intent = new Intent("com.kazovision.pvplayer.UPDATE_CONFIGURE");
		intent.putExtra("configuretype", pConfigureType);
		mContext.sendBroadcast(intent);
	}
}
